Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.conf
Class EntityListenerAnnotationLoader

    java.lang.Object
      org.apache.cayenne.jpa.conf.EntityListenerAnnotationLoader

    public class EntityListenerAnnotationLoader

extends Object

Loads annotations from the entity listener class. Only deals with non-entity formats of annotation methods.

### JPA Spec, 3.4.1:

Callback methods defined on an entity class have the following signature: void () Callback methods defined on an entity listener class have the following signature: void (Object) The Object argument is the entity instance for which the callback method is invoked. It maybe declared as the actual entity type. The callback methods can have public, private, protected, or package level access, but must not be static or final.

Author:
  Andrus Adamchik

Constructor Summary
`EntityListenerAnnotationLoader()`

Method Summary
`JpaEntityListener` | `getEntityListener(Class listenerClass)` Returns a listener methods descriptor for the annotated listener, or null if none of the class methods are properly annotated.
`protected boolean` | `isValidListenerMethod(Method m)` Checks that the method signature is one of a valid listener method, void METHOD(Object).
`protected boolean` | `processAnnotations(Method method, JpaEntityListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityListenerAnnotationLoader

    public EntityListenerAnnotationLoader()

Method Detail

### getEntityListener

    public JpaEntityListener getEntityListener(Class listenerClass)

  Returns a listener methods descriptor for the annotated listener, or null if none of the class methods are properly annotated.

### isValidListenerMethod

    protected boolean isValidListenerMethod(Method m)

  Checks that the method signature is one of a valid listener method, void METHOD(Object).

### processAnnotations

    protected boolean processAnnotations(Method method,
                                         JpaEntityListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.